import controlP5.*;
ControlP5 cp5;
String loadPath = selectInput(); // Opens file chooser

PImage img;

int buttonHeight;
int ctrlHeight;
int dotSize;
int colNum = 3;
boolean square_;


color[] col = new color[colNum] ;
color colSelect;

void setup() {
  if (loadPath == null) {
    println("No file was selected...");
    img = createImage(500, 250, RGB);
  }
  else {
    img = loadImage(loadPath);
  }

  buttonHeight = 20;
  ctrlHeight = buttonHeight*3;

  size(img.width*2, img.height+ctrlHeight);
  ellipseMode(CORNER);
    rectMode(CORNER);
  colorMode(RGB);
  noStroke();

  dotSize = 5;
  pdfStart = true;

  for (int i = 0; i<colNum; i++) {
    col[i] = color(0, 0, 0);
  }

  cp5 = new ControlP5(this);
  /*
  cp5.addSlider("hue_")
   .setPosition(0, img.height)
   .setSize(200, buttonHeight-1)
   .setRange(0, 200)
   .setValue(128)
   ;
   */
  cp5.addSlider("dotSize")
    .setPosition(0, img.height+20)
      .setSize(200, buttonHeight-1)
        .setRange(1, 15)
          .setValue(5)
            ;

  cp5.addToggle("toggle")
    .setPosition(0, img.height+40)
      .setSize(50, buttonHeight)
        .setValue(true)
          .setMode(ControlP5.SWITCH)
            ;

  // create a new button with name 'buttonA'
  cp5.addButton("colorA")
    .setPosition(210, img.height)
      .setSize(50, 19)
        ;

  cp5.addButton("colorB")
    .setValue(0)
      .setPosition(210, img.height+20)
        .setSize(50, 19)
          ;

  cp5.addButton("colorC")
    .setValue(0)
      .setPosition(210, img.height+40)
        .setSize(50, 19)
          ;
 
  cp5.addButton("Exit_")
    .setValue(0)
      .setPosition(0, img.height)
        .setSize(50, 19)
          ;
}

